## jcm 1.0

=== Makefile ===
jar: classes
	jar cfv jcm.jar `find . -name "*.class"`

classes: clean
	javac -target 1.1 -source 1.3 `find . -name "*.java"`

clean:
	rm -f `find . -name "*.class"`

=== debian/changelog ===
jcm (1.0-2) unstable; urgency=medium

  * Team upload.
  * Fix Homepage
  * Fix watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Trim trailing whitespace.
  * Add missing build dependency on javahelper for addon javahelper.
  * Replace spaces in short license names with dashes.
  * Do not use first person in long description

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jan 2025 17:04:05 +0100

jcm (1.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 13:22:42 +0100

jcm (1.0-1) unstable; urgency=low

  * Initial release (Closes: #667923)

 -- Mathieu Malaterre <malat@debian.org>  Fri, 13 Apr 2012 10:11:32 +0200

=== debian/control ===
Source: jcm
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13), javahelper
Build-Depends-Indep: default-jdk-headless,
                     default-jdk-doc
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/jcm
Vcs-Git: https://salsa.debian.org/java-team/jcm.git
Homepage: https://www.nku.edu/~longa/classes/2010spring/mat129/days/applets/javamath/index.html

Package: libjcm-java
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends}
Recommends: ${java:Recommends}
Suggests: libjcm-java-doc
Description: Java Components for Mathematics
 THE "Java Components For Mathematics" project represents an effort to develop a
 framework of configurable mathematical software components written in the Java
 programming language. These Java components are meant to be used on instructional
 Web pages as interactive illustrations, special-purpose calculators, support
 for exercises, and so forth. The components in Version 1 are mostly useful for
 calculus and pre-calculus and for science courses that use some of the same
 material. They use Java 1.1, and so will not work in some older browsers that
 support only Java 1.0.
 .
 This project was supported by NSF grant number DUE-9950473.

Package: libjcm-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${java:Depends}
Recommends: ${java:Recommends}
Suggests: libjcm-java
Description: Documentation for Java Components for Mathematics
 THE "Java Components For Mathematics" project represents an effort to develop a
 framework of configurable mathematical software components written in the Java
 programming language. These Java components are meant to be used on instructional
 Web pages as interactive illustrations, special-purpose calculators, support
 for exercises, and so forth. The components in Version 1 are mostly useful for
 calculus and pre-calculus and for science courses that use some of the same
 material. They use Java 1.1, and so will not work in some older browsers that
 support only Java 1.0.
 .
 This project was supported by NSF grant number DUE-9950473.
 .
 This package contains the API documentation of libjcm-java.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper

override_dh_auto_configure: pre-build
	dh_auto_configure

# upstream Makefile does not build doc, prefer javahelper:
pre-build:
	-rm Makefile

=== debian/watch ===
version=4

opts="uversionmangle=s/$/.0/" \
  https://www.nku.edu/~longa/classes/2010spring/mat129/days/applets/javamath/jcm(\d+)-source.tar.gz
